Page MenuHomePhabricator

"E: Package 'python-imaging' has no installation candidate" on Buster
Closed, ResolvedPublic

Description

The python-imaging package was a shim provided in Debian Jessie & Stretch which installed the PIL library and also allowed backwards compatible import Image usage. With Buster we should instead be installing the python3-pil package.

Event Timeline

We can use python3-pil on oldstable too, so might aswell just change it. Shouldn't need any conditional

Change 655296 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@buster-migration] buster: Install python-pil rather than python-imaging

https://gerrit.wikimedia.org/r/655296

Change 655296 merged by jenkins-bot:
[mediawiki/vagrant@buster-migration] buster: Install python-pil rather than python-imaging

https://gerrit.wikimedia.org/r/655296

Reedy claimed this task.